Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Integer Class Reference

Inherits ObjectImpl.

## Public Member Functions
| Integer ()
| Integer (int i)
virtual | ~Integer ()
int | intValue () const
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Constructor & Destructor Documentation

Integer | ( |  | ) |

Integer | ( | int | i | ) |

virtual ~Integer | ( |  | ) |
| virtual

## Member Function Documentation

int intValue | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- integer.h